//	UberNES Emulation Core
//  Copyright (C) 2004 Luke Molnar
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


////////////////////////////////////////////////////////////////////
// Nes Mapper #21:  Konami VRC4 Gradius Type
// This mapper is used on the Japanese Konami title Gradius 2, and possibly
// other games
////////////////////////////////////////////////////////////////////
#ifndef NES_MAPPER_25
#define NES_MAPPER_25

#include "../NesBaseMapper.h"
#include "NesMapper021.h"


class NesMapper25 : public NesMapper21
{
public:
	///////////////////////////////
	// Class Procedures
	///////////////////////////////
	NesMapper25(NesCartridge *linkCartridge, NesCPU *linkCPU, NesPPU *&linkPPU);
	~NesMapper25() { };	
	void write(Uint16 addr, unsigned char data);

private:
	unsigned char chrbanks[8];
	int intPrgSwap;
};

#endif 
